//***************************************************************************************
// Code for ECIO processor module available from http://www.sourceboost.com
// 
// Example program: Clasic LED flash program.
// Toggles output PORT RB0 at a rate 2Hz, and briefly flashes the on board LED every so often.
//
// Author: David Hobday
//
//**************************************************************************************


#include <system.h>
#pragma CLOCK_FREQ 48000000

//Configuration data
#pragma DATA 0x300000, 0x20
#pragma DATA 0x300001, 0xe
#pragma DATA 0x300002, 0x3e
#pragma DATA 0x300003, 0x1e
#pragma DATA 0x300004, 0x0
#pragma DATA 0x300005, 0x81
#pragma DATA 0x300006, 0x81
#pragma DATA 0x300007, 0x0
#pragma DATA 0x300008, 0xf
#pragma DATA 0x300009, 0x80
#pragma DATA 0x30000a, 0xf
#pragma DATA 0x30000b, 0xa0
#pragma DATA 0x30000c, 0xf
#pragma DATA 0x30000d, 0x0

void main()
{
	ucfg = 0x08; // turn USB transciever off
	
	// set port RB0 to output
	trisb = 0xFE; // port B0 output
	
	// set port RE2 to ouput
	trise = 0x00; // port E2 output	
	
	// on board LED off
	late.2 = 0; 
	
	unsigned char i = 0;
	while (1)
	{	
		// Toggle port B0
		if( latb.0 )
			latb.0 = 0;
		else
			latb.0 = 1;
		
		// flash on board LED briefly every so often
		if( i++ > 10 )
		{
			i = 0;
			late.2 = 1;
			delay_ms( 20 );
			late.2 = 0;			
			delay_ms( 230 );
		}
		else		
			delay_ms( 250 );		
	}
}




